Name:           ocaml-xmlm
Version:        1.3.0
Release:        %mkrel 10
Summary:        Streaming XML input/output for OCaml
License:        new-BSD
Group:          Development/OCaml
URL:            https://erratique.ch/software/xmlm
Source0:        https://erratique.ch/software/xmlm/releases/xmlm-%{version}.tbz

#Project:       https://erratique.ch/repos/xmlm/
#ProjectMirror: https://github.com/dbuenzli/xmlm
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-topkg-devel

%description
Xmlm is an OCaml module providing streaming XML input/output. It aims at
making XML processing robust and painless. The streaming interface can
process documents without building an in-memory representation. It lets
the programmer translate its data structures to XML documents and
vice-versa. Functions are provided to easily transform arborescent data
structures to/from XML documents.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n xmlm-%{version}
%autopatch -p1

# require debug info
echo $'\ntrue: debug' >> _tags
# require annot
echo $'\ntrue: annot' >> _tags

%build
ocaml pkg/pkg.ml "build"

pushd _build/test/
 ocamlopt -g -c -I ../src xhtml.ml
 ocamlopt -g -c -I ../src xmltrip.ml
 ocamlopt -g -o xmltrip -I ../src xmlm.cmxa xhtml.cmx xmltrip.cmx
 rm -f *.o *.cm[ix]
popd

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/xmlm
pushd _build/src/
 ocamlfind install xmlm ../../_build/pkg/META \
   *.a *.cm[iatx] *.cmti *.cmx[as] *.annot *.mli
popd
pushd _build/test/
 install -d %{buildroot}%{_bindir}/
 install -m 0755 xmltrip %{buildroot}%{_bindir}/
popd

%files
%doc README.md CHANGES.md
%{_bindir}/xmltrip
%dir %{_libdir}/ocaml/xmlm
%{_libdir}/ocaml/xmlm/META
%{_libdir}/ocaml/xmlm/xmlm.cmi
%{_libdir}/ocaml/xmlm/xmlm.cma
%{_libdir}/ocaml/xmlm/xmlm.cmxs

%files devel
%doc doc/ test/
%{_libdir}/ocaml/xmlm/xmlm.cmx
%{_libdir}/ocaml/xmlm/xmlm.cmxa
%{_libdir}/ocaml/xmlm/xmlm.a
%{_libdir}/ocaml/xmlm/xmlm.mli
%{_libdir}/ocaml/xmlm/xmlm.cmt
%{_libdir}/ocaml/xmlm/xmlm.cmti
%{_libdir}/ocaml/xmlm/xmlm.annot


%changelog
* Thu May 19 2022 pterjan <pterjan> 1.3.0-10.mga9
+ Revision: 1859022
- Rebuild for OCaml 4.14

* Thu Oct 14 2021 tv <tv> 1.3.0-9.mga9
+ Revision: 1751431
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 1.3.0-8.mga9
+ Revision: 1709711
- Rebuild for ocaml-4.12

* Sun Jan 10 2021 pterjan <pterjan> 1.3.0-7.mga8
+ Revision: 1670487
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.3.0-6.mga8
+ Revision: 1551669
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1543756
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 1.3.0-4.mga8
+ Revision: 1482234
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.3.0-3.mga7
+ Revision: 1324545
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1299949
- Mageia 7 Mass Rebuild

* Tue Mar 27 2018 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1212779
- new version: 1.3.0
- add BR ocaml-topkg

* Sun Nov 26 2017 tv <tv> 1.2.0-11.mga7
+ Revision: 1179899
- fix build with ocaml 4.06
- rebuild for new ocaml

* Thu Oct 12 2017 daviddavid <daviddavid> 1.2.0-10.mga7
+ Revision: 1171361
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)

* Fri Oct 06 2017 daviddavid <daviddavid> 1.2.0-9.mga7
+ Revision: 1169720
- enable debugging information thus fixing empty debugsourcefiles.list

* Thu Nov 24 2016 neoclust <neoclust> 1.2.0-8.mga6
+ Revision: 1069808
- Rebuild against fixed ocaml

* Fri Feb 12 2016 umeabot <umeabot> 1.2.0-7.mga6
+ Revision: 956494
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 742072
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 683131
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 538630
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 blue_prawn <blue_prawn> 1.2.0-3.mga4
+ Revision: 490073
- build more

* Fri Sep 13 2013 malo <malo> 1.2.0-2.mga4
+ Revision: 478669
- rebuild for new ocaml

* Fri Sep 06 2013 blue_prawn <blue_prawn> 1.2.0-1.mga4
+ Revision: 475527
- updated to last version 1.2.0

* Sat Apr 06 2013 malo <malo> 1.1.1-7.mga3
+ Revision: 408563
- remove spurious requires

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-6.mga3
+ Revision: 361713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 blue_prawn <blue_prawn> 1.1.1-5.mga3
+ Revision: 322200
- no change, just a rebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.1-4.mga3
+ Revision: 301076
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1.1-3.mga3
+ Revision: 300432
- increm mkrel

* Fri Sep 28 2012 blue_prawn <blue_prawn> 1.1.1-2.mga3
+ Revision: 299073
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 1.1.1-1.mga3
+ Revision: 279338
- now needs findlib to build
- updated to last version 1.1.1
- adapted to the new build that uses oasis now
- clean the spec file
- removed BuildRoot:

* Tue Dec 13 2011 blue_prawn <blue_prawn> 1.0.2-1.mga2
+ Revision: 181267
- imported package ocaml-xmlm

